Subject: Re: userspace button controls

From: "Joseph P. Garcia" <[email-masked]>
Date: Sun, 29 Jul 2001 01:09:05 -0500

Greetings.

On Sun, 29 Jul 2001 04:48:14 +0100
Bastien Nocera <[email-masked]> wrote:
> Well, the buttons_patch doesn't work on the ibook2:
[...]
> eject: Unhandled button code 0b

Perfect!  This is what I was looking for.  Attached is a patch to make things work... maybe.  I don't know what to expect with the power key.  The eject key on the iBook2 is apparantly still an adb-button... neato.. i think.

You will probably get an 'unknown scancode' for the eject key, but you can get the idea how to fix that from the patch.  change the cooresponding 0 to a KEY_EJECTCD, recompile, and it should work.  I don't know what exactly to expect from it.

BTW, I contacted James Simmons, a developer in linuxconsole and framebuffer.  He mentioned that this sort of thing (fb-backlight, new input keys) are planned for 2.5.x.  Which makes sense, as volume/eject keys are no big diff at the moment, but, as Michael Schmitz pointed out, the backlight-related changes should not be introduced under the table.

So volume keys and eject key (power too?) should be merge-able after completion and some testing.

Thanks for your help.

--
Joseph P. Garcia
http://www.lycestra.com/ (that's lie-kes-tra)